<?php
    session_start();
    ob_start();
    if (!isset($_SESSION["user_id"])) {
        echo "here";
        // User is not authenticated; redirect to login page
        header("Location: /app/Views/login/login.php");
        ob_end_flush();
    }

    require_once '../../Controllers/PembelianController.php';
    require_once '../../Controllers/TicketController.php';
    require_once '../../Controllers/UserController.php';
    require_once '../../Controllers/EventController.php';


    $pembelianController = new PembelianController();
    $userController = new UserController();

    $isAdmin = $userController->getUser($_SESSION['user_id'])['isAdmin'];
    
    // Get search results or all pembelian (history)
    if (!$isAdmin){
        $pembelians = $pembelianController->getPembelianByUserId($_SESSION['user_id']);
    } else {
        $pembelians = $pembelianController->getAllPembelianWithDetails();
    }
    $paginationData = $pembelianController->paginateHistory($pembelians);
    $pembelians = $paginationData['pembelian'];
    $totalEvents = $paginationData['total'];
    $currentPage = $paginationData['page'];
    $maxPage = $paginationData['maxpage'];
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>History</title>
    <link rel="stylesheet" type="text/css" href="/../../styles/global.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/form.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/footer.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/navbar.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/container.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/auth.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/dropdown.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/pagination.css">
</head>

<body>
<!-- Navbar -->
    <?php include '../template/navbar.php';?>

    <div class="main-content">
        <div class="column">
            <h2>All History</h2>
            <?php foreach ($pembelians as $pembelian) :    
                include '../template/history.php';
            endforeach;?>
        </div>
        <div class="pagination">
            <?php if ($currentPage > 1) : ?>
                <a href="?page=<?= $currentPage - 1 ?>">Previous</a>
            <?php endif; ?>
            
            <?php for ($i = 1; $i <= $maxPage; $i++) : ?>
                <a href="?page=<?= $i ?>" <?= ($i == $currentPage) ? 'class="active"' : '' ?>><?= $i ?></a>
            <?php endfor; ?>

            <?php if ($currentPage < $maxPage) : ?>
                <a href="?page=<?= $currentPage + 1 ?>">Next</a>
            <?php endif; ?>
        </div>

    </div>

    <?php include '../template/footer.php';?>

    <script defer>
        function toggleMenu() {
            const navbar = document.querySelector('.navbar ul');
            navbar.classList.toggle('show');
        }
    </script>
    <script src="js/script.js"></script>
</body>

</html>