CREATE DATABASE IF NOT EXISTS tubes1_WBD;

USE tubes1_WBD;

CREATE TABLE IF NOT EXISTS events (
  event_id INT AUTO_INCREMENT PRIMARY KEY,
  event_name CHAR(255),
  event_stock INT,
  event_price INT,
  event_date DATETIME,
  event_location CHAR(255),
  gambar VARCHAR(255),
  vid VARCHAR(255)
);

CREATE TABLE IF NOT EXISTS tickets (
  ticket_id INT AUTO_INCREMENT PRIMARY KEY,
  ticket_name CHAR(255),
  event_id INT,
  FOREIGN KEY (event_id) REFERENCES events(event_id) ON DELETE SET NULL
);

CREATE TABLE IF NOT EXISTS users (
  user_ID INT AUTO_INCREMENT PRIMARY KEY,
  user_name CHAR(255),
  username CHAR(255) UNIQUE,
  user_email VARCHAR(255) UNIQUE,
  user_hashedPass CHAR(255),
  isAdmin BOOLEAN
);

CREATE TABLE IF NOT EXISTS pembelian (
  pembelian_id INT AUTO_INCREMENT PRIMARY KEY,
  ticket_id INT,
  user_id INT,
  pembelian_created_time DATETIME,
  FOREIGN KEY (ticket_id) REFERENCES tickets(ticket_id),
  FOREIGN KEY (user_id) REFERENCES users(user_ID) ON DELETE SET NULL
);